"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepFooter = void 0;
var _react = require("react");
var _reactI18next = require("react-i18next");
var _designSystem = require("@talend/design-system");
var _i18n = _interopRequireDefault(require("../../../constants/i18n"));
var _StepperForm = require("../StepperForm.context");
var _StepperFormModule = _interopRequireDefault(require("../StepperForm.module.scss"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const StepFooter = ({
  children,
  dataFeature,
  isLoading,
  onCancel,
  onPrevious,
  onNext
}) => {
  const {
    t
  } = (0, _reactI18next.useTranslation)(_i18n.default.STEPPER_NAMESPACE);
  const {
    currentStep,
    steps
  } = (0, _react.useContext)(_StepperForm.StepperFormContext);
  const currentStepNavigation = steps[currentStep].navigation;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: _StepperFormModule.default['stepper-form__footer'],
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.StackHorizontal, {
      gap: "M",
      align: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.ButtonSecondary, {
        onClick: onCancel,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.cancel,
        children: t('CANCEL', 'Cancel')
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Divider, {
        orientation: "vertical"
      }), onPrevious && /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.ButtonSecondary, {
        onClick: onPrevious,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.previous,
        children: t('PREVIOUS', 'Previous')
      }), children, onNext && /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.ButtonPrimary, {
        onClick: onNext,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.next,
        disabled: isLoading,
        children: currentStepNavigation !== null && currentStepNavigation !== void 0 && currentStepNavigation.next ? t('NEXT', 'Next') : t('VALIDATE', 'Validate')
      })]
    })
  });
};
exports.StepFooter = StepFooter;
//# sourceMappingURL=StepFooter.component.js.map