"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _designSystem = require("@talend/design-system");
var _StepHeader = require("./StepHeader");
var _StepperForm = require("./StepperForm.context");
var _StepperForm2 = require("./StepperForm.utils");
var _StepperFormModule = _interopRequireDefault(require("./StepperForm.module.scss"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const StepperForm = ({
  isLoading
}) => {
  const {
    steps,
    currentStep
  } = (0, _react.useContext)(_StepperForm.StepperFormContext);
  const currentStepData = steps[currentStep];
  const Component = currentStepData.component;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: _StepperFormModule.default['stepper-form'],
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: _StepperFormModule.default['stepper-form__steps'],
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Stepper, {
        currentStepIndex: currentStep,
        loading: isLoading,
        children: steps.map((step, index) => {
          var _navigation$disableCa;
          const {
            key,
            navigation,
            tooltip,
            name
          } = step;
          const Step = (0, _StepperForm2.getStepComponent)(currentStep, index, !!(navigation !== null && navigation !== void 0 && navigation.disableCause));
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(Step, {
            tooltip: (_navigation$disableCa = navigation === null || navigation === void 0 ? void 0 : navigation.disableCause) !== null && _navigation$disableCa !== void 0 ? _navigation$disableCa : tooltip,
            title: name
          }, `step-${key}`);
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: _StepperFormModule.default['stepper-form__container'],
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_StepHeader.StepHeader, {
        ...currentStepData.header
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("section", {
        className: _StepperFormModule.default['stepper-form__content'],
        "data-testid": currentStepData.key,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, {})
      })]
    })]
  });
};
StepperForm.displayName = 'StepperForm';
var _default = exports.default = StepperForm;
//# sourceMappingURL=StepperForm.component.js.map