"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepperFormProvider = exports.StepperFormContext = void 0;
var _react = require("react");
var _useStepperForm = require("../../hooks/useStepperForm/useStepperForm.hook");
var _jsxRuntime = require("react/jsx-runtime");
const emptyFn = () => {};
const StepperFormContext = exports.StepperFormContext = /*#__PURE__*/(0, _react.createContext)({
  disableStep: emptyFn,
  enableStep: emptyFn,
  onNext: emptyFn,
  onPrevious: emptyFn,
  steps: [],
  currentStep: 0
});
const StepperFormProvider = ({
  children,
  initialStepIndex = 0,
  steps,
  onSubmit
}) => {
  const {
    currentStep,
    disableStep,
    enableStep,
    onNextStep,
    onPreviousStep,
    stepperSteps
  } = (0, _useStepperForm.useStepperForm)(steps, initialStepIndex, onSubmit);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StepperFormContext.Provider, {
    value: {
      currentStep,
      disableStep,
      enableStep,
      onNext: onNextStep,
      onPrevious: onPreviousStep,
      steps: stepperSteps
    },
    children: children
  });
};
exports.StepperFormProvider = StepperFormProvider;
//# sourceMappingURL=StepperForm.context.js.map