"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStepperState = exports.getStepComponent = void 0;
var _designSystem = require("@talend/design-system");
const getStepComponent = (current, index, isDisabled = false) => {
  if (isDisabled) {
    return _designSystem.Stepper.Step.Disabled;
  } else if (current === index) {
    return _designSystem.Stepper.Step.InProgress;
  } else if (current > index) {
    return _designSystem.Stepper.Step.Validated;
  }
  return _designSystem.Stepper.Step.Enabled;
};
exports.getStepComponent = getStepComponent;
const getStepperState = initialSteps => {
  const steps = [];
  initialSteps.forEach((step, index) => {
    steps.push({
      ...step,
      navigation: {
        previous: index - 1 >= 0 ? initialSteps[index - 1].key : undefined,
        next: index + 1 < initialSteps.length ? initialSteps[index + 1].key : undefined
      }
    });
  });
  return steps;
};
exports.getStepperState = getStepperState;
//# sourceMappingURL=StepperForm.utils.js.map