import * as constants from './Stepper.constants';
import StepperForm from './components/StepperForm';
import { useStepperForm } from './hooks/useStepperForm/useStepperForm.hook';
import { initStepper, proceedLoadingEvent, removeStepper } from './service/Stepper.actions';
import stepperReducer from './service/Stepper.reducer';
import { getStepsForResource, isResourceLoading } from './service/Stepper.selectors';
export declare const StepperActions: {
    initStepper: typeof initStepper;
    proceedLoadingEvent: typeof proceedLoadingEvent;
    removeStepper: typeof removeStepper;
};
export declare const StepperSelectors: {
    getStepsForResource: typeof getStepsForResource;
    isResourceLoading: typeof isResourceLoading;
};
export declare const StepperComponents: {
    Stepper: import("react-redux").ConnectedComponent<any, any>;
};
export declare const StepperUtils: {
    isAllSuccessful: any;
    isErrorInSteps: any;
    isStepsLoading: any;
    getStepperKey: (action: object) => string;
};
export declare const StepperConstants: typeof constants;
export { StepperForm, useStepperForm };
declare const _default: {
    id: string;
    reducer: {
        stepper: typeof stepperReducer;
    };
};
export default _default;
