"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepperConstants = exports.StepperComponents = exports.StepperActions = void 0;
Object.defineProperty(exports, "StepperForm", {
  enumerable: true,
  get: function () {
    return _StepperForm.default;
  }
});
exports.default = exports.StepperUtils = exports.StepperSelectors = void 0;
Object.defineProperty(exports, "useStepperForm", {
  enumerable: true,
  get: function () {
    return _useStepperForm.useStepperForm;
  }
});
var constants = _interopRequireWildcard(require("./Stepper.constants"));
var _StepperForm = _interopRequireDefault(require("./components/StepperForm"));
var _Stepper2 = _interopRequireDefault(require("./containers/Stepper.connect"));
var _useStepperForm = require("./hooks/useStepperForm/useStepperForm.hook");
var _Stepper3 = require("./service/Stepper.actions");
var _Stepper4 = _interopRequireDefault(require("./service/Stepper.reducer"));
var _Stepper5 = require("./service/Stepper.selectors");
var _Stepper6 = require("./service/Stepper.utils");
var _reactComponents = require("@talend/react-components");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
const {
  isAllSuccessful,
  isStepsLoading,
  isErrorInSteps
} = _reactComponents.Stepper;
const cmfModule = {
  id: 'dataset-stepper',
  reducer: {
    [constants.STATE_KEY]: _Stepper4.default
  }
};
const StepperActions = exports.StepperActions = {
  initStepper: _Stepper3.initStepper,
  proceedLoadingEvent: _Stepper3.proceedLoadingEvent,
  removeStepper: _Stepper3.removeStepper
};
const StepperSelectors = exports.StepperSelectors = {
  getStepsForResource: _Stepper5.getStepsForResource,
  isResourceLoading: _Stepper5.isResourceLoading
};
const StepperComponents = exports.StepperComponents = {
  Stepper: _Stepper2.default
};
const StepperUtils = exports.StepperUtils = {
  isAllSuccessful,
  isErrorInSteps,
  isStepsLoading,
  getStepperKey: _Stepper6.getStepperKey
};
const StepperConstants = exports.StepperConstants = constants;
var _default = exports.default = {
  ...cmfModule
};
//# sourceMappingURL=index.js.map