/**
 * This function init the store for some loading steps component
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 * @param {array} steps the steps we have to load
 */
export function initStepper(resourceType: string, resourceId: string, steps?: array): {
    type: string;
    resourceType: string;
    resourceId: string;
    steps: array;
};
/**
 * This function generate an action to tell the loading that we have
 * intercept some event to proceed in the loading process
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 * @param {string} event event catch
 */
export function proceedLoadingEvent(resourceType: string, resourceId: string, event: string, messageLabel: any): {
    type: string;
    resourceType: string;
    resourceId: string;
    event: string;
    message: {
        label: any;
    };
};
/**
 * This function return an action to remove a loading from the store
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 */
export function removeStepper(resourceType: string, resourceId: string): {
    type: string;
    resourceType: string;
    resourceId: string;
};
