"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormComponentStep3 = exports.FormComponentStep2 = exports.FormComponentStep1 = exports.BusinessContext = void 0;
var _react = require("react");
var _reactHookForm = require("react-hook-form");
var _designSystem = require("@talend/design-system");
var _StepperForm = _interopRequireDefault(require("../components/StepperForm"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const BusinessContext = exports.BusinessContext = /*#__PURE__*/(0, _react.createContext)({});
const FormComponentStep1 = () => {
  const {
    disableStep,
    enableStep,
    onNext
  } = (0, _react.useContext)(_StepperForm.default.Context);
  const {
    stepsData,
    setStepsData
  } = (0, _react.useContext)(BusinessContext);
  const rhf = (0, _reactHookForm.useForm)({
    defaultValues: {
      ...stepsData[0]
    }
  });
  const {
    field,
    fieldState
  } = (0, _reactHookForm.useController)({
    control: rhf.control,
    name: 'randomInput',
    rules: {
      required: true
    }
  });
  (0, _react.useEffect)(() => {
    const data = stepsData;
    data[0] = {
      [field.name]: field.value
    };
    setStepsData(data);
  }, [field]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHookForm.FormProvider, {
    ...rhf,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form.Fieldset, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Checkbox, {
          id: "disable1",
          name: "disable-steps",
          label: "Disable step 2",
          onChange: e => {
            if (e.target.checked) {
              disableStep('STEP2', 'Disabled cause');
            } else {
              enableStep('STEP2');
            }
          }
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Checkbox, {
          id: "disable2",
          name: "disable-steps",
          label: "Disable step 3",
          onChange: e => {
            if (e.target.checked) {
              disableStep('STEP3', 'Just because');
            } else {
              enableStep('STEP3');
            }
          }
        }), fieldState.invalid && /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.InlineMessageDestructive, {
          description: 'This field is required',
          withBackground: true
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Input, {
          id: "randomInput",
          label: "Random input",
          name: field.name,
          onChange: e => {
            field.onChange(e);
          },
          value: field.value
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_StepperForm.default.Footer, {
        onCancel: () => alert('Cancel action'),
        onNext: () => rhf.handleSubmit(onNext)()
      })]
    })
  });
};
exports.FormComponentStep1 = FormComponentStep1;
const FormComponentStep2 = () => {
  const {
    disableStep,
    enableStep,
    onNext,
    onPrevious
  } = (0, _react.useContext)(_StepperForm.default.Context);
  const {
    stepsData,
    setStepsData
  } = (0, _react.useContext)(BusinessContext);
  const rhf = (0, _reactHookForm.useForm)({
    defaultValues: {
      ...stepsData[1]
    }
  });
  const {
    field,
    fieldState
  } = (0, _reactHookForm.useController)({
    control: rhf.control,
    name: 'randomInput',
    rules: {
      required: true
    }
  });
  (0, _react.useEffect)(() => {
    const data = stepsData;
    data[1] = {
      [field.name]: field.value
    };
    setStepsData(data);
  }, [field]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHookForm.FormProvider, {
    ...rhf,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form.Fieldset, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Checkbox, {
          id: "disable1",
          name: "disable-steps",
          label: "Disable step 3",
          onChange: e => {
            if (e.target.checked) {
              disableStep('STEP3', 'Disabled cause');
            } else {
              enableStep('STEP3');
            }
          }
        }), fieldState.invalid && /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.InlineMessageDestructive, {
          description: 'This field is required',
          withBackground: true
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Input, {
          id: "randomInput",
          label: "Random input",
          name: field.name,
          onChange: field.onChange,
          value: field.value
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_StepperForm.default.Footer, {
        onCancel: () => alert('Cancel action'),
        onNext: () => rhf.handleSubmit(onNext)(),
        onPrevious: onPrevious
      })]
    })
  });
};
exports.FormComponentStep2 = FormComponentStep2;
const FormComponentStep3 = () => {
  const {
    onNext,
    onPrevious
  } = (0, _react.useContext)(_StepperForm.default.Context);
  const {
    stepsData,
    setStepsData
  } = (0, _react.useContext)(BusinessContext);
  const rhf = (0, _reactHookForm.useForm)({
    defaultValues: {
      ...stepsData[2]
    }
  });
  const {
    field,
    fieldState
  } = (0, _reactHookForm.useController)({
    control: rhf.control,
    name: 'randomInput',
    rules: {
      required: true
    }
  });
  (0, _react.useEffect)(() => {
    const data = stepsData;
    data[2] = {
      [field.name]: field.value
    };
    setStepsData(data);
  }, [field]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHookForm.FormProvider, {
    ...rhf,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_designSystem.Form.Fieldset, {
        children: [fieldState.invalid && /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.InlineMessageDestructive, {
          description: 'This field is required',
          withBackground: true
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_designSystem.Form.Input, {
          id: "randomInput",
          label: "Random input",
          name: field.name,
          onChange: field.onChange,
          value: field.value
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_StepperForm.default.Footer, {
        onCancel: () => alert('Cancel action'),
        onNext: () => rhf.handleSubmit(onNext)(),
        onPrevious: onPrevious
      })]
    })
  });
};
exports.FormComponentStep3 = FormComponentStep3;
//# sourceMappingURL=Stepper.components.js.map